Documentation
General
Addresses
Blocks
Mining
Fees
Mempool
Transactions
Below is a reference for the Testnet4 REST API service.
General
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/difficulty-adjustment"{
progressPercent: 44.397234501112074,
difficultyChange: 98.45932018381687,
estimatedRetargetDate: 1627762478,
remainingBlocks: 1121,
remainingTime: 665977,
previousRetarget: -4.807005268478962,
nextRetargetHeight: 741888,
timeAvg: 302328,
adjustedTimeAvg: 302328,
timeOffset: 0
}Addresses
address, chain_stats, and mempool_stats. chain_stats and mempool_stats each contain an object with tx_count, funded_txo_count, funded_txo_sum, spent_txo_count, and spent_txo_sum.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/address/tb1qp0we5epypgj4acd2c4au58045ruud2pd6heuee"{
address: "tb1qp0we5epypgj4acd2c4au58045ruud2pd6heuee",
chain_stats: {
funded_txo_count: 6747,
funded_txo_sum: 84313783821,
spent_txo_count: 0,
spent_txo_sum: 0,
tx_count: 6747
},
mempool_stats: {
funded_txo_count: 0,
funded_txo_sum: 0,
spent_txo_count: 0,
spent_txo_sum: 0,
tx_count: 0
}
}after_txid query parameter.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/address/tb1qp0we5epypgj4acd2c4au58045ruud2pd6heuee/txs"[
{
txid: "3e6afd67862ce9fe3eb55268a3107f495415ff1b5d1933c928507e9bdf7a21e6",
version: 2,
locktime: 0,
vin: [],
vout: [],
size: 211,
weight: 736,
fee: 0,
status: {
confirmed: true,
block_height: 2091086,
block_hash: "00000000340f3667cce7032d084973ca29bdd0d858ec363ed894ad4c8ed09ebc",
block_time: 1630607773
}
},
...
]curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/address/tb1qp0we5epypgj4acd2c4au58045ruud2pd6heuee/txs/chain"[
{
txid: "3e6afd67862ce9fe3eb55268a3107f495415ff1b5d1933c928507e9bdf7a21e6",
version: 2,
locktime: 0,
vin: [],
vout: [],
size: 211,
weight: 736,
fee: 0,
status: {
confirmed: true,
block_height: 2091086,
block_hash: "00000000340f3667cce7032d084973ca29bdd0d858ec363ed894ad4c8ed09ebc",
block_time: 1630607773
}
},
...
],curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/address/tb1qp0we5epypgj4acd2c4au58045ruud2pd6heuee/txs/mempool"[
{
txid: "16cd9bbc6b62313a22d16671fa559aec6bf581df8b5853d37775c84b0fddfa90",
version: 2,
locktime: 0,
vin: [ [Object] ],
vout: [ [Object], [Object] ],
size: 226,
weight: 904,
fee: 6720,
status: { confirmed: false }
}
]txid, vout, value, and status (with the status of the funding tx).curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/address/tb1q4kgratttzjvkxfmgd95z54qcq7y6hekdm3w56u/utxo"[
{
txid: "c404bc4ba89e9423ff772cb45268ba6fba8b713f809484c1216f1a657aafa088",
vout: 1,
status: {
confirmed: true,
block_height: 2086944,
block_hash: "000000000000039a27007892b0f3ac646afa4eb3ef3d4a4e75e8bdf636b4d006",
block_time: 1630159123
},
value: 1973787
},
...
]isvalid (boolean), address (string), scriptPubKey (string), isscript (boolean), iswitness (boolean), witness_version (numeric, optional), and witness_program (string, optional).curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/validate-address/tb1q4kgratttzjvkxfmgd95z54qcq7y6hekdm3w56u"{
isvalid: true,
address: "tb1q4kgratttzjvkxfmgd95z54qcq7y6hekdm3w56u",
scriptPubKey: "0014ad903ead6b149963276869682a54180789abe6cd",
isscript: false,
iswitness: true,
witness_version: 0,
witness_program: "ad903ead6b149963276869682a54180789abe6cd"
}Blocks
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81"{
id: "000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81",
height: 2091140,
version: 543162372,
timestamp: 1630625150,
tx_count: 2,
size: 575,
weight: 1865,
merkle_root: "5d10d8d158bb8eb217d01fecc435bd10eda028043a913dc2bfe0ccf536a51cc9",
previousblockhash: "0000000000000073f95d1fc0a93d449f82a754410c635e46264ec6c7c4d5741e",
mediantime: 1630621997,
nonce: 1600805744,
bits: 436273151,
difficulty: 16777216
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/block/000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81"{
"id": "000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81",
"height": 2091140,
"version": 543162372,
"timestamp": 1630625150,
"bits": 436273151,
"nonce": 1600805744,
"difficulty": 16777216,
"merkle_root": "5d10d8d158bb8eb217d01fecc435bd10eda028043a913dc2bfe0ccf536a51cc9",
"tx_count": 2,
"size": 575,
"weight": 1865,
"previousblockhash": "0000000000000073f95d1fc0a93d449f82a754410c635e46264ec6c7c4d5741e",
"mediantime": 1630621997,
"extras": {
"totalFees": 877,
"medianFee": 5,
"feeRange": [
5,
5,
5,
5,
5,
5,
5
],
"reward": 9766502,
"pool": {
"id": 0,
"name": "Unknown",
"slug": "unknown",
"minerNames": null
},
"avgFee": 877,
"avgFeeRate": 5,
"coinbaseRaw": "0384e81f047e5d3161425443506f6f6cfabe6d6dfc481b6989a49bad403c75b0abfcdb7796b42489514a8c2d2294d7e5b2c93c05020000007296cd10010022583d1d000000000000",
"coinbaseAddress": "2N4YXTxKEso3yeYXNn5h42Vqu3FzTTQ8Lq5",
"coinbaseAddresses": [
"2N4YXTxKEso3yeYXNn5h42Vqu3FzTTQ8Lq5"
],
"coinbaseSignature": "OP_HASH160 OP_PUSHBYTES_20 7bef0b4a4dafa77b2ec52b81659cbcf0d9a91487 OP_EQUAL",
"coinbaseSignatureAscii": "...",
"avgTxSize": 128,
"totalInputs": 1,
"totalOutputs": 5,
"totalOutputAmt": 4728937,
"medianFeeAmt": null,
"feePercentiles": null,
"segwitTotalTxs": 1,
"segwitTotalSize": 256,
"segwitTotalWeight": 697,
"header": "040060201e74d5c4c7c64e26465e630c4154a7829f443da9c01f5df97300000000000000c91ca536f5cce0bfc23d913a0428a0ed10bd35c4ec1fd017b28ebb58d1d8105d7e5d3161ffff001a705b6a5f",
"utxoSetChange": 4,
"utxoSetSize": 26144301,
"totalInputAmt": 4729814,
"virtualSize": 466.25,
"firstSeen": null,
"orphans": [],
"matchRate": null,
"expectedFees": null,
"expectedWeight": null
}
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81/header"040060201e74d5c4c7c64e26465e630c4154a7829f443da9c01f5df97300000000000000c91ca536f5cce0bfc23d913a0428a0ed10bd35c4ec1fd017b28ebb58d1d8105d7e5d3161ffff001a705b6a5f:height.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block-height/2100100"000000000000001be62f15637e813e1d8ecdf26ee95d1820ef16db9bd8685985:timestamp.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/timestamp/1672531200"{
height: 2413838,
hash: "00000000000000082888e2353ea4baaea04d2e0e88f2ee054ad2bbcc1d6a5469",
timestamp: "2022-12-31T23:57:26.000Z"
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81/raw"in_best_chain (boolean, false for orphaned blocks), next_best (the hash of the next block, only available for blocks in the best chain).curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000009c08dc77c3f224d9f5bbe335a78b996ec1e0701e065537ca81/status"{
in_best_chain: true,
height: 2091140,
next_best: "0000000000000064152f2dc1e13bd70811fbcfa9c1660557233668b98b7b1c2b"
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/blocks/tip/height"2091168curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/blocks/tip/hash"00000000000000a7a5227bb493ffb90d1e63e1c7e8cab2c9a2b98e9f2599a9a9:index within the specified block.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000004a3ff1faff12c446f711c650454ff8af7f41d1e8b2564dd74b/txid/1"7aede67cd9f48c2f77ca9112c27da2583ea41fbb391652777c44ef21d5b1656ecurl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000004a3ff1faff12c446f711c650454ff8af7f41d1e8b2564dd74b/txids"[
"b5d033f57045b76f2f29df0c2469be0153ecf2514717bccd8d52250b3e7ba781",
"7aede67cd9f48c2f77ca9112c27da2583ea41fbb391652777c44ef21d5b1656e",
"20827f9a8fb5ec5fa55ce5389b1d7520d7961272492dc3424874887daeea21dc"
]start_index). Transactions returned here do not have the status field, since all the transactions share the same block and confirmation status.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/block/000000000000004a3ff1faff12c446f711c650454ff8af7f41d1e8b2564dd74b/txs"[
{
txid: "b5d033f57045b76f2f29df0c2469be0153ecf2514717bccd8d52250b3e7ba781",
version: 2,
locktime: 0,
vin: [],
vout: [],
size: 238,
weight: 844,
fee: 0,
status: {
confirmed: true,
block_height: 2091173,
block_hash: "000000000000004a3ff1faff12c446f711c650454ff8af7f41d1e8b2564dd74b",
block_time: 1630635771
}
},
...
],:startHeight is specified, the 10 blocks before (and including) :startHeight are returned.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/blocks/2091187"[
{
"id": "00000000000000533f63df886281a9fd74da163e84a21445153ff480e5f57970",
"height": 2091187,
"version": 545259520,
"timestamp": 1630641890,
"tx_count": 26,
"size": 8390,
"weight": 22985,
"merkle_root": "4d6df12a4af11bb928c7b2930e0a4d2c3e268c6dc6a07462943ad1c4b6b96468",
"previousblockhash": "0000000000000079103da7d296e1480295df795b7379e7dffd27743e214b0b32",
"mediantime": 1630639627,
"nonce": 309403673,
"bits": 436273151,
"difficulty": 16777216
},
{
"id": "0000000000000079103da7d296e1480295df795b7379e7dffd27743e214b0b32",
"height": 2091186,
"version": 541065216,
"timestamp": 1630641655,
"tx_count": 43,
"size": 11427,
"weight": 32472,
"merkle_root": "c70fa944f2863dc0828ee93ec0407bb8473e3b9bb94854ffd3fa1ccb9855d76a",
"previousblockhash": "00000000000000f015cb6ce3c007b56a053c4b3c3c86a36130e63310da787a30",
"mediantime": 1630639598,
"nonce": 2671302918,
"bits": 436273151,
"difficulty": 16777216
},
...
]extras field. If :startHeight is specified, the past 15 blocks before (and including) :startHeight are returned.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/blocks/2091187"[
{
"id": "00000000000000533f63df886281a9fd74da163e84a21445153ff480e5f57970",
"height": 2091187,
"version": 545259520,
"timestamp": 1630641890,
"bits": 436273151,
"nonce": 309403673,
"difficulty": 16777216,
"merkle_root": "4d6df12a4af11bb928c7b2930e0a4d2c3e268c6dc6a07462943ad1c4b6b96468",
"tx_count": 26,
"size": 8390,
"weight": 22985,
"previousblockhash": "0000000000000079103da7d296e1480295df795b7379e7dffd27743e214b0b32",
"mediantime": 1630639627,
"extras": {
"totalFees": 781942,
"medianFee": 1,
"feeRange": [1, 1, 1, 1, 5, 56, 5053],
"reward": 10547567,
"pool": {
"id": 0,
"name": "Unknown",
"slug": "unknown",
"minerNames": null
},
"avgFee": 31277,
"avgFeeRate": 143,
"coinbaseRaw": "03b3e81f3a205468697320626c6f636b20776173206d696e65642077697468206120636172626f6e206e6567617469766520706f77657220736f75726365201209687a2009092009020de601d7986a040000",
"coinbaseAddress": "2MtzNEqm2D9jcbPJ5mW7Z3AUNwqt3afZH66",
"coinbaseAddresses": [
"2MtzNEqm2D9jcbPJ5mW7Z3AUNwqt3afZH66"
],
"coinbaseSignature": "OP_HASH160 OP_PUSHBYTES_20 1320e6542e2146ea486700f4091aa793e7360788 OP_EQUAL",
"coinbaseSignatureAscii": "...",
"avgTxSize": 310.04,
"totalInputs": 33,
"totalOutputs": 64,
"totalOutputAmt": 30223143847,
"medianFeeAmt": null,
"feePercentiles": null,
"segwitTotalTxs": 24,
"segwitTotalSize": 7709,
"segwitTotalWeight": 20369,
"header": "00008020320b4b213e7427fddfe779735b79df950248e196d2a73d1079000000000000006864b9b6c4d13a946274a0c66d8c263e2c4d0a0e93b2c728b91bf14a2af16d4de29e3161ffff001a19207112",
"utxoSetChange": 31,
"utxoSetSize": 26145554,
"totalInputAmt": 30223925789,
"virtualSize": 5746.25,
"firstSeen": null,
"orphans": [],
"matchRate": null,
"expectedFees": null,
"expectedWeight": null
}
},
...
]Returns details on the range of blocks between :minHeight and :maxHeight, inclusive, up to 10 blocks. If :maxHeight is not specified, it defaults to the current tip.
To return data for more than 10 blocks, consider a tx.taxi Enterprise plan.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/blocks-bulk/100000/100000"[
{
"height": 100000,
"hash": "00000000009e2958c15ff9290d571bf9459e93b19765c6801ddeccadbb160a1e",
"timestamp": 1376123972,
"median_timestamp": 1677396660,
"previous_block_hash": "000000004956cc2edd1a8caa05eacfa3c69f4c490bfc9ace820257834115ab35",
"difficulty": 271.7576739288896,
"header": "0200000035ab154183570282ce9afc0b494c9fc6a3cfea05aa8c1add2ecc56490000000038ba3d78e4500a5a7570dbe61960398add4410d278b21cd9708e6d9743f374d544fc055227f1001c29c1ea3b",
"version": 2,
"bits": 469823783,
"nonce": 1005240617,
"size": 221,
"weight": 884,
"tx_count": 1,
"merkle_root": "d574f343976d8e70d91cb278d21044dd8a396019e6db70755a0a50e4783dba38",
"reward": 5000000000,
"total_fee_amt": 0,
"avg_fee_amt": 0,
"median_fee_amt": 0,
"fee_amt_percentiles": {
"min": 0,
"perc_10": 0,
"perc_25": 0,
"perc_50": 0,
"perc_75": 0,
"perc_90": 0,
"max": 0
},
"avg_fee_rate": 0,
"median_fee_rate": 0,
"fee_rate_percentiles": {
"min": 0,
"perc_10": 0,
"perc_25": 0,
"perc_50": 0,
"perc_75": 0,
"perc_90": 0,
"max": 0
},
"total_inputs": 0,
"total_input_amt": null,
"total_outputs": 1,
"total_output_amt": 0,
"segwit_total_txs": 0,
"segwit_total_size": 0,
"segwit_total_weight": 0,
"avg_tx_size": 0,
"utxoset_change": 1,
"utxoset_size": null,
"coinbase_raw": "03a08601000427f1001c046a510100522cfabe6d6d0000000000000000000068692066726f6d20706f6f6c7365727665726aac1eeeed88",
"coinbase_address": "mtkbaiLiUH3fvGJeSzuN3kUgmJzqinLejJ",
"coinbase_signature": "OP_DUP OP_HASH160 OP_PUSHBYTES_20 912e2b234f941f30b18afbb4fa46171214bf66c8 OP_EQUALVERIFY OP_CHECKSIG",
"coinbase_signature_ascii": " � 'ñ jQ R,ú¾mm hi from poolserverj”Ã�",
"pool_slug": "unknown",
"orphans": []
}
]Mining
:timePeriod.Leave :timePeriod unspecified to get all available data, or specify one of the following values: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/pools/3y"{
"pools": [
{
"poolId": 112,
"name": "SBI Crypto",
"link": "https://sbicrypto.com",
"blockCount": 26243,
"rank": 2,
"emptyBlocks": 11272,
"slug": "sbicrypto"
},
{
"poolId": 8,
"name": "Huobi.pool",
"link": "https://www.hpt.com/",
"blockCount": 12134,
"rank": 3,
"emptyBlocks": 6096,
"slug": "huobipool"
},
...
],
"blockCount": 2226180,
"lastEstimatedHashrate": 602244182177430.8
}Returns details about the mining pool specified by :slug.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/pool/binancepool"{
"pool": {
"id": 105,
"name": "Binance Pool",
"link": "https://pool.binance.com/",
"addresses": [],
"regexes": [
"/Binance/",
"binance"
],
"slug": "binancepool"
},
"blockCount": {
"all": 2,
"24h": 1,
"1w": 1
},
"blockShare": {
"all": 8.984160924290476e-7,
"24h": 0.004524886877828055,
"1w": 0.0005089058524173028
},
"estimatedHashrate": 2617854550633.5283,
"reportedHashrate": null
}Returns average hashrates (and share of total hashrate) of mining pools active in the specified trailing :timePeriod, in descending order of hashrate.
Leave :timePeriod unspecified to get all available data, or specify any of the following time periods: 1m, 3m, 6m, 1y, 2y, 3y.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/hashrate/pools/1y"[
{
"timestamp": 1621814400,
"avgHashrate": 395655036336662.7,
"share": 1,
"poolName": "Unknown"
},
{
"timestamp": 1621814400,
"avgHashrate": 0,
"share": 0,
"poolName": "Binance Pool"
}
]:slug. Hashrate values are weekly averages.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/pool/kncminer/hashrate"[
{
"timestamp": 1400457600,
"avgHashrate": 23504290056.20675,
"share": 0.21875,
"poolName": "KnCMiner"
},
{
"timestamp": 1401062400,
"avgHashrate": 22880315827.385838,
"share": 0.301661,
"poolName": "KnCMiner"
},
{
"timestamp": 1401667200,
"avgHashrate": 65314000516.18979,
"share": 0.774853,
"poolName": "KnCMiner"
},
...
]:slug) before the specified :blockHeight. If no :blockHeight is specified, the mining pool's 10 most recent blocks are returned.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/pool/bitcoincom/blocks/2226000"[
{
"id": "00000000000000ed428cdb70dfdeb0f3927912131cb96e7b1fe274b1bb1181b2",
"timestamp": 1582018014,
"height": 1666150,
"version": 541065216,
"bits": 436312585,
"nonce": 21973352,
"difficulty": 10474471.99230249,
"merkle_root": "541456efe41e5730a563475e0c5e2007ee660f1d86d9778bfc164d73c59fd605",
"tx_count": 382,
"size": 126201,
"weight": 331851,
"previousblockhash": "00000000005a0843cc88b09cf6def15e4dc8fe38ab5cf3ad890f34a2df497004",
"extras": {
"coinbaseRaw": "03666c19706f6f6c2e626974636f696e2e636f6d010000022583010000000000",
"medianFee": 1,
"reward": 39726335,
"totalFees": 663835,
"pool": {
"id": 12
}
}
},
{
"id": "00000000000000af90f51e48cb29fdecc62e9961c5e27aca1a4ae8213aae1954",
"timestamp": 1579793108,
"height": 1663620,
"version": 541065216,
"bits": 436295134,
"nonce": 1762790676,
"difficulty": 12563071.03178775,
"merkle_root": "02d02afea666f08bab5851de541d0570c71a6cd8be358c28952c52d57b7afad4",
"tx_count": 24,
"size": 9562,
"weight": 23848,
"previousblockhash": "000000000000013bbdbc0fef53a5b4b2af02880a6f56f7945de071b71d51123a",
"extras": {
"coinbaseRaw": "03846219706f6f6c2e626974636f696e2e636f6d01000065f224020000000000",
"medianFee": 1,
"reward": 39547121,
"totalFees": 484621,
"pool": {
"id": 12
}
}
},
...
]Returns network-wide hashrate and difficulty figures over the specified trailing :timePeriod:
- Current (real-time) hashrate
- Current (real-time) difficulty
- Historical daily average hashrates
- Historical difficulty
Valid values for :timePeriod are 1m, 3m, 6m, 1y, 2y, 3y. If no time interval is specified, all available data is returned.
Be sure that INDEXING_BLOCKS_AMOUNT is set properly in your backend config so that enough blocks are indexed to properly serve your request.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/hashrate/3d"{
"hashrates": [
{
"timestamp": 1652745600,
"avgHashrate": 385829751259101.6
},
{
"timestamp": 1652832000,
"avgHashrate": 657984995406460.8
},
{
"timestamp": 1652918400,
"avgHashrate": 510731129917436.6
}
],
"difficulty": [
{
"timestamp": 1652691434,
"difficulty": 26119369.29706616,
"height": 2225402
}
],
"currentHashrate": 781149965464814.4,
"currentDifficulty": 55580658.55098472
}Returns the record of difficulty adjustments over the specified trailing :interval:
- Block timestamp
- Block height
- Difficulty
- Difficulty change
If no time interval is specified, all available data is returned.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/difficulty-adjustments/1m"[
[
1703429523,
2544008,
105074715.9955905,
105075000
],
[
1703426009,
2544005,
1,
0
],
[
1703422944,
2544000,
105074715.9955905,
105075000
],
...
]:blockCount blocks.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/reward-stats/100"{
"startBlock": 2226086,
"endBlock": 2226185,
"totalReward": "513462793",
"totalFee": "25181593",
"totalTx": "2366"
}Returns average total fees for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and fee amounts are exact (not averages). For the 1w time period, fees may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, fees are averages.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/fees/1w"[
{
"avgHeight": 2224253,
"timestamp": 1652346420,
"avgFees": 211686
},
{
"avgHeight": 2224254,
"timestamp": 1652346850,
"avgFees": 2565952
},
...
]Returns average block rewards for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and block rewards are exact (not averages). For the 1w time period, block rewards may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, block rewards are averages.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/rewards/1d"[
{
"avgHeight": 12,
"timestamp": 1296689648,
"avgRewards": 5000000000
},
{
"avgHeight": 269,
"timestamp": 1296717674,
"avgRewards": 5000091820
},
...
]:timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and percentiles are exact (not averages). For the 1w time period, percentiles may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, percentiles are averages.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/fee-rates/1m"[
{
"avgHeight": 2196306,
"timestamp": 1650360168,
"avgFee_0": 1,
"avgFee_10": 1,
"avgFee_25": 1,
"avgFee_50": 1,
"avgFee_75": 2,
"avgFee_90": 28,
"avgFee_100": 2644
},
{
"avgHeight": 2196308,
"timestamp": 1650361209,
"avgFee_0": 1,
"avgFee_10": 1,
"avgFee_25": 1,
"avgFee_50": 4,
"avgFee_75": 12,
"avgFee_90": 65,
"avgFee_100": 102
},
...
]Returns average size (bytes) and average weight (weight units) for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/sizes-weights/3y"{
"sizes": [
{
"avgHeight": 1517188,
"timestamp": 1558262730,
"avgSize": 25089
},
{
"avgHeight": 1517275,
"timestamp": 1558290933,
"avgSize": 21679
},
...
],
"weights": [
{
"avgHeight": 1517188,
"timestamp": 1558262730,
"avgWeight": 74921
},
{
"avgHeight": 1517275,
"timestamp": 1558290933,
"avgWeight": 65164
},
...
]
}Returns average block health in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/predictions/3y"[
[
1687246773,
2429248,
100
],
[
1687285500,
2438380,
100
],
[
1687342820,
2438467,
100
],
[
1687372143,
2438522,
100
],
...
]:blockHash. Available fields: hash, matchRate, expectedFees, and expectedWeight.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/audit/score/000000000000025a66f30a181e438b9f65ef33cec3014b7a4ff4c7578289cd6e"{
hash: "000000000000025a66f30a181e438b9f65ef33cec3014b7a4ff4c7578289cd6e",
matchRate: 100,
expectedFees: 579169,
expectedWeight: 12997
}:startHeight is specified, the past 15 blocks before (and including) :startHeight are returned. Available fields: hash, matchRate, expectedFees, and expectedWeight.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/mining/blocks/audit/scores/2566570"[
{
hash: "00000000000002e7e96e7b5ee04a5fbb3ef9575a9f4a99effb32a8a89d9d2f19",
matchRate: 100,
expectedFees: 964677,
expectedWeight: 24959
},
{
hash: "00000000000003bd3962806d0e06d9982eb2e06aeba912687b2bac3668db32aa",
matchRate: 100,
expectedFees: 631200,
expectedWeight: 15516
},
...
]:blockHash. Available fields: height, id, timestamp, template, missingTxs, addedTxs, freshTxs, sigopTxs, fullrbfTxs, acceleratedTxs, matchRate, expectedFees, and expectedWeight.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/block/000000000000007cfba94e051326b3546c968a188a7e12e340a78cefc586bfe3/audit-summary"{
height: 2566708,
id: "000000000000007cfba94e051326b3546c968a188a7e12e340a78cefc586bfe3",
timestamp: 1703684826,
template: [
{
txid: "6556caa3c6bff537f04837a6f7182dd7a253f31a46de4f21dec9584720156d35",
fee: 109707,
vsize: 264.75,
value: 456855,
rate: 414.37960339943345,
flags: 9895621445642
},
{
txid: "53b7743b8cfa0108dbcdc7c2f5e661b9d8f56216845a439449d7f9dfc466b147",
fee: 74640,
vsize: 215.5,
value: 19063915,
rate: 348.5338491295938,
flags: 1099528491017
},
...
],
missingTxs: [
"8f2eae756119e43054ce1014a06e81d612113794d8b519e6ff393d7e0023396a",
"012b44b0fc0fddc549a056c85850f03a83446c843504c588cd5829873b30f5a9",
...
],
addedTxs: [],
freshTxs: [
"af36a8b88f6c19f997614dfc8a41395190eaf496a49e8db393dacb770999abd5",
"fdfa272c8fe069573b964ddad605d748d8c737e94dfcd09bddaae0ee0a2445df",
...
],
sigopTxs: [],
fullrbfTxs: [],
acceleratedTxs: [],
matchRate: 86.96,
expectedFees: 1541639,
expectedWeight: 26425
}Fees
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/fees/mempool-blocks"[
{
blockSize: 2871,
blockVSize: 2377.5,
nTx: 11,
totalFees: 3499,
medianFee: 1.1799410029498525,
feeRange: [
1.00374531835206,
1.00374531835206,
1.0046860356138707,
1.1799410029498525,
1.183431952662722,
1.3274336283185841,
1.3995037220843674,
5.0271041369472185
]
}
]curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/fees/recommended"{
fastestFee: 1,
halfHourFee: 1,
hourFee: 1,
economyFee: 1,
minimumFee: 1
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/fees/precise"{
"fastestFee": 1.5,
"halfHourFee": 1.25,
"hourFee": 1,
"economyFee": 1,
"minimumFee": 1
}Mempool
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/mempool"{
count: 16,
vsize: 2692,
total_fee: 46318,
fee_histogram: [
[
1.0071429,
2692
]
]
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/mempool/txids"[
"af04a3e8b7bd49217165435e2717b6ed977cde9c0f6f2a5813c4c39eb53748af",
"d4c4989617e9af40518f7846f98e98e4a187bc29fb95542c9aa469af159c61e4",
"c4c0630b18e910be0a70ebd5d4897b379168b0f357a6536188a28e38d2cf8b43",
"c6c9c44ca17ff8c1ebfe27978e57277be6098f0fb5129840370c013fe503db24",
...
]txid, fee, vsize, and value.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/mempool/recent"[
{
txid: "1fc5098fe3378828a890fa5144883cdd1411d9cdbb1af365c20e72503b11dc81",
fee: 221,
vsize: 201,
value: 944960
},
...
]curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/replacements"[
{
tx: {
txid: "7766e3f008011b776905f96fcad9d4a7b75d1b368d1e77db2901254f1fa8357d",
fee: 9101,
vsize: 317,
value: 147706698,
rate: 28.709779179810724,
rbf: true,
fullRbf: false
},
time: 1703331325,
fullRbf: false,
replaces: [
{
tx: {
txid: "43055f6e5750c6aa0c2214e59e99f367398d96bde935e7666c3e648d249a4e40",
fee: 7000,
vsize: 317,
value: 147708799,
rate: 22.082018927444796,
rbf: true
},
time: 1703331154,
interval: 171,
fullRbf: false,
replaces: []
}
]
},
...
]curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/fullrbf/replacements"[
{
tx: {
txid: "25e2bfaf0e0821e5cb71f11e460b2f71e1d5a3755015de42544afa5fbad6d443",
fee: 24436,
vsize: 297.75,
value: 273418,
rate: 82.0688497061293,
rbf: false,
fullRbf: true
},
time: 1703409882,
fullRbf: true,
replaces: [
{
tx: {
txid: "07d501e8ad4a25f07f3ced0a6102741720f710765e6fdb2eb966ba0df657997a",
fee: 24138,
vsize: 297.75,
value: 273716,
rate: 81.06801007556675,
rbf: false
},
time: 1703409853,
interval: 29,
fullRbf: true,
replaces: []
}
]
},
...
]Transactions
GET /api/v1/cpfp
curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/cpfp/txid"txid, version, locktime, size, weight, fee, vin, vout, and status.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d"{
txid: "eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d",
version: 2,
locktime: 2091198,
vin: [],
vout: [],
size: 222,
weight: 561,
fee: 16332,
status: {
confirmed: true,
block_height: 2091199,
block_hash: "000000000000004d36632fda8180ff16855d606e5515aab0750d9d4fe55fe7d6",
block_time: 1630648992
}
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/hex"0200000000010146c398e70cceaf9d8f734e603bc53e4c4c0605ab46cb1b5807a62c90f5aed50d0100000000feffffff023c0fc10c010000001600145033f65b590f2065fe55414213f1d25ab20b6c4f487d1700000000001600144b812d5ef41fc433654d186463d41b458821ff740247304402202438dc18801919baa64eb18f7e925a...curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/merkleblock-proof"0000602002bf77bbb098f90f149430c314e71ef4e2671ea5e04a2503e0000000000000000406ffb54f2925360aae81bd3199f456928bbe6ae83a877902da9d9ffb08215da0ba3161ffff001a545a850bb80000000906e0c62f68fdf4865a46889e2e12d66f03cc537225d612aa77b08a38936b4d435d73544598d93174314d75e5833...curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/merkle-proof"{
block_height: 2091199,
merkle: [
"434d6b93388ab077aa12d6257253cc036fd6122e9e88465a86f4fd682fc6e006",
"bd9af28e56cf6731e78ee1503a65d9cc9b15c148daa474e71e085176f48996ac",
"605f6f83423ef3b86623927ef2d9dcb0f8d9e40a8132217c2fa0910b84488ec7",
"10b7ef06ef0756823dbf39dea717be397e7ccb49bbefc5cfc45e6f9d58793baf",
"19183ceae11796a9b1d0893e0561870bbce4d060c9547b1e91ad8b34eb3d5001",
"1b16723739522955422b4286b4d8620d2a704b6997e6bbd809d151b8d8d64611",
"6f8496469b19dd35871684332dfd3fc0205d83d2c58c44ebdae068542bc951f6",
"e0d2733bd7bce4e5690b71bc8f7cedb1edbc49a5ff85c3678ecdec894ea1c023"
],
pos: 1
}spent (boolean), txid (optional), vin (optional), and status (optional, the status of the spending tx).curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/outspend/0"{
spent: true,
txid: "37e867526abb7cde3f64f86f60b42bee1f989aa8514730ae2e741dd05bbc286b",
vin: 0,
status: {
confirmed: true,
block_height: 2091199,
block_hash: "000000000000004d36632fda8180ff16855d606e5515aab0750d9d4fe55fe7d6",
block_time: 1630648992
}
}curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/outspends"[
{
spent: true,
txid: "37e867526abb7cde3f64f86f60b42bee1f989aa8514730ae2e741dd05bbc286b",
vin: 0,
status: {
confirmed: true,
block_height: 2091199,
block_hash: "000000000000004d36632fda8180ff16855d606e5515aab0750d9d4fe55fe7d6",
block_time: 1630648992
}
},
{
spent: false
}
]curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/raw"curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/tx/5faaa30530bee55de8cc896bdf48f803c2274a94bffc2842386bec2a8bf7a813/rbf"{
replacements: {
tx: {
txid: "5faaa30530bee55de8cc896bdf48f803c2274a94bffc2842386bec2a8bf7a813",
fee: 9101,
vsize: 318,
value: 148022607,
rate: 28.61949685534591,
rbf: true,
fullRbf: false,
mined: true
},
time: 1703322610,
fullRbf: false,
replaces: [
{
tx: {
txid: "06e69641fa889fe9148669ac2904929004e7140087bedaec8c8e4e05aabded52",
fee: 7000,
vsize: 318,
value: 148024708,
rate: 22.0125786163522,
rbf: true
},
time: 1703322602,
interval: 8,
fullRbf: false,
replaces: []
}
],
mined: true
},
replaces: [
"06e69641fa889fe9148669ac2904929004e7140087bedaec8c8e4e05aabded52"
]
}confirmed (boolean), block_height (optional), and block_hash (optional).curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/tx/eefbafa4006e77099db059eebe14687965813283e5754d317431d9984554735d/status"{
confirmed: false
}0.curl -sSL "https://testnet4.btc.tx.taxi/testnet4/api/v1/transaction-times?txId[]=25e7a95ebf10ed192ee91741653d8d970ac88f8e0cd6fb14cc6c7145116d3964&txId[]=1e158327e52acae35de94962e60e53fc70f6b175b0cfc3e2058bed4b895203b4"[1703267563,1703267322]txid will be returned on success.curl -X POST -sSLd "0200000001fd5b5fcd1cb066c27cfc9fda5428b9be850b81ac440ea51f1ddba2f987189ac1010000008a4730440220686a40e9d2dbffeab4ca1ff66341d06a17806767f12a1fc4f55740a7af24c6b5022049dd3c9a85ac6c51fecd5f4baff7782a518781bbdd94453c8383755e24ba755c01410436d554adf4a3eb03a317c77aa4020a7bba62999df633bba0ea8f83f48b9e01b0861d3b3c796840f982ee6b14c3c4b7ad04fcfcc3774f81bff9aaf52a15751fedfdffffff02416c00000000000017a914bc791b2afdfe1e1b5650864a9297b20d74c61f4787d71d0000000000001976a9140a59837ccd4df25adc31cdad39be6a8d97557ed688ac00000000" "https://testnet4.btc.tx.taxi/testnet4/api/tx"